Bug 71235 - Installer stops with traceback indicating: Errno 12 Cannot allocate memory
Installer stops with traceback indicating: Errno 12 Cannot allocate memory
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-08-10 14:13 EDT by Jim Lyles
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-16 20:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
traceback (1.09 KB, text/plain)
2002-08-10 18:35 EDT, Jim Lyles
no flags Details
meminfo output (437 bytes, patch)
2002-08-16 20:18 EDT, Jim Lyles
no flags Details | Diff

  None (edit)
Description Jim Lyles 2002-08-10 14:13:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
This program simply will not work

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run anaconda installation program

Actual Results:  program stopped with below traceback wrror

Expected Results:  program should have completed installation of RedHat Linux 
7.3 Vahalla

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 814, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
  File "/usr/lib/anaconda/gui.py", line 529, in handleRenderCallback
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
  File "/usr/lib/anaconda/gui.py", line 417, in nextClicked
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 573, in doinstall
    syslog.start (instPath, syslogname)
  File "/usr/lib/anaconda/syslogd.py", line 63, in start
    self.pid = os.fork ()
OSError: [Errno 12] Cannot allocate memory
Comment 1 Jeremy Katz 2002-08-10 16:52:00 EDT
How much memory do you have?
Comment 2 Jim Lyles 2002-08-10 18:35:58 EDT
Created attachment 69885 [details]
Comment 3 Jim Lyles 2002-08-10 18:39:19 EDT
I have 64Meg RAM
Comment 4 Michael Fulbright 2002-08-14 15:34:44 EDT
Once you boot the install, hit cntl-alt-f2 to goto a screen with a command prompt.

Then type 'cat /proc/meminfo' and please attach the output.
Comment 5 Jim Lyles 2002-08-16 20:18:46 EDT
Created attachment 71286 [details]
meminfo output
Comment 6 Michael Fulbright 2002-08-23 11:56:15 EDT
You need to add at least 192M of swap for your install.

Note You need to log in before you can comment on or make changes to this bug.